# -*- rpm-spec -*-
# $Id: kernel-fix-security.spec,v 1.9 2004/02/02 17:26:20 vsu Exp $
#

%define patch_name kernel-fix-security

Name: %patch_name
Version: 2004.01.25
Release: alt2

Summary: %patch_name - Linux kernel security fixes
License: GPL
Group: Development/Kernel
BuildArch: noarch
Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

Requires:	kernel-build-tools >= 0.6-alt6
BuildPreReq:	kernel-build-tools >= 0.6-alt6

# CAN-2003-0461
%source  1	01_proc_tty_serial.patch	00_not_kernel-fix-security-owl

# CAN-2003-0001
# http://linux.bkbits.net:8080/linux-2.4/cset@1.1063.2.50
%source  2	02_skb_padto_fixes.patch

# CAN-2003-0961
# http://linux.bkbits.net:8080/linux-2.4/cset@marcelo@dmt.cyclades|ChangeSet|20031002082056|19757
%source  3	03_do_brk.patch

%source  4	04_do_page_fault.patch

# CAN-2003-0985
%source  5	05_mremap.patch

%source  6	06_owl-mmap-fixes.patch

# CAN-2003-0984
%source  7	07_rtc.patch

%description
Set of security-related patches.

%install
%install_patches

%files
%_usrsrc/*

%changelog
* Mon Feb 02 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.01.25-alt2
- Require kernel-build-tools >= 0.6-alt6.
- Removed apply script (kernel-build-tools-0.6-alt6 has all needed functions).

* Sun Jan 25 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.01.25-alt1
- Added patches:
  + 06_owl-mmap-fixes.patch (backported from 2.4.23-ow2)
  + 07_rtc.patch (CAN-2003-0984)

* Wed Dec 31 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.12.31-alt1
- Added patches:
  + 05_mremap.patch (CAN-2003-0985)

* Sat Nov 29 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.29-alt1
- Added patches:
  + 03_do_brk.patch (CAN-2003-0961)
  + 04_do_page_fault.patch (from Ingo Molnar)

* Fri Nov 28 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.28-alt1
- Added patches:
  + 01_proc_tty_serial.patch (CAN-2003-0461)
  + 02_skb_padto_fixes.patch (CAN-2003-0001)
- Added back apply script (needed to avoid applying 01_proc_tty_serial.patch
  after owl patch - owl already includes these changes).

* Fri Nov 28 2003 Dmitry V. Levin <ldv@altlinux.org> 2003.11.28-alt0
- Specfile cleanup

* Wed Jul 30 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.07.30-alt1
- added patches:
  + br_stp (CAN-2003-{0550,0551,0552})
  + execve (CAN-2003-0476)
  + proc (CAN-2003-{0461,0462,0501})
  + socketreuse (CAN-2003-0464)
- remixed apply script so execve and proc don\'t conflict with -owl patch.

* Fri Jul  4 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.06.20-alt3
- spec typos fixed

* Tue Jul  1 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.06.20-alt2
- spec improvements: using %%source and %%install_patches macroses
- apply script removed

* Fri Jun 20 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.06.20-alt1
- removed ptrace patch.

* Tue Jun 17 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.06.17-alt1
- mxcsr security hole (CAN-2003-0248) fix added

* Thu Jun 12 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.06.12-alt1
- remixed all the package

* Thu Jun  5 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.06.05-alt1
- updated for rc7 (don't apply 01_ptrace)

* Wed May 14 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.02.12-alt4
- updated for rc2 (don't apply 01_ptrace)

* Tue Apr 29 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.02.12-alt3
- version changed according the policy

* Tue Apr 22 2003 Ed V. Bartosh <ed@sam-solutions.net> 1.0-alt3
- updated to rc1 (don't apply 01_ptrace)
- spec cosmetic changes

* Fri Apr 18 2003 Ed V. Bartosh <ed@sam-solutions.net> 1.0-alt2
- spec improvemens according the policy
- don't apply 01_ptrace to 2.4.21pre7

* Wed Feb 12 2003 Peter Novodvorsky <nidd@myxomop.com> 1.0-alt1
- ptrace security hole patch included

